with (import <nixpkgs> {});
mkShell {
  buildInputs = [
    yarn
    docker
    act
    gtk2
    gtk3
    rPackages.gbm
    libnotify
    gnome2.GConf 
    nss
    xorg.libXScrnSaver
    alsa-lib
    xorg.xorgserver
    xorg.libXtst
    xorg.xauth
    xvfb-run
    stdenv.cc.cc zlib glib dbus gtk3 atk pango freetype
    fontconfig gdk-pixbuf cairo cups expat libgpg-error alsa-lib nspr nss
    xorg.libXrender xorg.libX11 xorg.libXext xorg.libXdamage xorg.libXtst
    xorg.libXcomposite xorg.libXi xorg.libXfixes xorg.libXrandr
    xorg.libXcursor xorg.libxkbfile xorg.libXScrnSaver libcap systemd libnotify
    xorg.libxcb libsecret libuuid at-spi2-atk at-spi2-core libdbusmenu
    libdrm
    mesa # required for libgbm
    cypress
  ];
  shellHook = ''
    export NAME="matrix-shell"
    export NODE_OPTIONS=--openssl-legacy-provider
    '';
}

